- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- Try it!
List DeploymentGroups for a given project and location.
HTTP request
GET https://config.googleapis.com/v1/{parent=projects/*/locations/*}/deploymentGroups
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent, which owns this collection of deployment groups. Format: 'projects/{projectId}/locations/{location}'. It takes the form Authorization requires the following IAM permission on the specified resource
|
Query parameters
| Parameters | |
|---|---|
pageSize |
Optional. When requesting a page of resources, 'pageSize' specifies number of resources to return. If unspecified, at most 500 will be returned. The maximum value is 1000. |
pageToken |
Optional. Token returned by previous call to 'deploymentGroups.list' which specifies the position in the list from where to continue listing the deployment groups. |
filter |
Optional. Lists the DeploymentGroups that match the filter expression. A filter expression filters the deployment groups listed in the response. The expression must be of the form '{field} {operator} {value}' where operators: '<', '>', '<=', '>=', '!=', '=', ':' are supported (colon ':' represents a HAS operator which is roughly synonymous with equality). {field} can refer to a proto or JSON field, or a synthetic field. Field names can be camelCase or snake_case. Examples: - Filter by name: name = "projects/foo/locations/us-central1/deploymentGroups/bar"
|
orderBy |
Optional. Field to use to sort the list. |
Request body
The request body must be empty.
Response body
The response message for the deploymentGroups.list method.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"deploymentGroups": [
{
object ( |
| Fields | |
|---|---|
deploymentGroups[] |
The deployment groups from the specified collection. |
nextPageToken |
Token to be supplied to the next deploymentGroups.list request via |
unreachable[] |
Locations that could not be reached. |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the parent resource:
config.googleapis.com/config.deploymentgroups.list
For more information, see the IAM documentation.